Add stix font for mathjax
Closed, DeclinedPublic

Description

We should add that Stix font MathJax always seems to use. Perhaps it can be piggy back on webfonts extension ?

Otherwise manually install them I guess.


Version: unspecified
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=63016

bzimport added a project: Math.Via ConduitNov 22 2014, 12:17 AM
bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz35498.
TheDJ created this task.Via LegacyMar 26 2012, 6:43 PM
brion added a comment.Via ConduitMar 26 2012, 8:08 PM

The webfonts are present and already managed by the extension. (What we didn't include are the so-called "image fonts", which is a butt-ton of PNG images at fixed sizes.)

Right now it's set to default to the Tex web fonts; I'm not sure whether/what benefit there is to using the Stix web fonts instead/in addition.

TheDJ added a comment.Via ConduitApr 1 2012, 11:53 AM

The TeX webfonts seem present yes, but it does not seem the StiX fonts are installed. I believe MathJax does not provide them by default as webfonts, because they are rather large and take a lot of time to download.

bzimport added a comment.Via ConduitApr 18 2012, 12:16 PM

mal.malego wrote:

Right, STIX fonts are currently not available as webfonts. What I have done is to take STIX fonts when they are available locally, and fall back to TeX fonts when they are not. See change: https://en.wikipedia.org/w/index.php?title=User%3ANageh%2FmathJax.js&diff=485010389&oldid=484594591

The benefit of the STIX font set seems that it's a bit nicer than the TeX fonts. Also, it is the only font that works with the MathML output mode.

Edokter added a comment.Via ConduitSep 6 2012, 8:54 PM

+1 for STIX fonts, eiher when locally installed, but preferably as webfonts.

Pkra added a comment.Via ConduitMar 6 2013, 11:20 PM

MathJax is working with the STIX group to create webfonts versions of the STIX fonts. In particular, MathJax will get an option to use them.

gerritbot added a comment.Via ConduitMay 19 2013, 4:24 PM

Related URL: https://gerrit.wikimedia.org/r/64527 (Gerrit Change I18d9ad32ef011ef8a361ed0c6b54e3c62a234491)

gerritbot added a comment.Via ConduitSep 8 2013, 1:59 PM

Change 64527 abandoned by TheDJ:
Math: Add the font selector to MathJax menu

Reason:
Dropping this change, i'm not a big fan of it myself.

People who want stix fonts should figure out how to do that on their own.

https://gerrit.wikimedia.org/r/64527

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.